package wdbpres.divetojava.examples.fizzbuzz.benchmark

import io.gatling.core.Predef._
import io.gatling.http.Predef._
import scala.concurrent.duration._
import scala.util._

class FizzBuzzSimulation extends Simulation {
  val rand = new Random
  val httpProtocol = http.baseUrl("http://localhost:8080")
  val scn = scenario("Random FizzBuzz")
    .exec(http("fizzbuzz_request")
      .get("/fizzbuzz/" + rand.nextInt(200)))

  setUp(
    scn.inject(
      constantUsersPerSec(5) during(10 minutes)
    ).protocols(httpProtocol)
  )
}
